package com.yunniu.farming.webadmin.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunniu.farming.webadmin.model.GroupBuy;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * @author zyf
 * @date 2023/5/12
 * @apiNote
 */
@Mapper
public interface GroupBuyDao extends BaseMapper<GroupBuy> {

    List<GroupBuy> findPageList(GroupBuy item);

    int updateEndTime(GroupBuy item);

    int activityFailure(@Param("now") Date now);

    int updateStatus(Long id);

    Integer findJoinNumber();

    List<String> findavatarList();

    int activityValidation(@Param("now") Date now);
}
